{% extends "page.html.twig" %}

{# Remove a lot of divs so we can easier apply height 100% to all for fluid full screen (non-fixed) #}

{% block main %}

<main role="main">
  <section class="section">
    <a id="main-content" tabindex="-1"></a>{# link is in html.html.twig #}
    {{ page.breadcrumb }}

    {{ page.highlighted }}

    {{ page.help }}

        {{ page.content }}
        {% if page.sidebar_first %}
          <aside class="column is-narrow" role="complementary">
            {{ page.sidebar_first }}
          </aside>
        {% endif %}

        {% if page.sidebar_second %}
          <aside class="column is-narrow" role="complementary">
            {{ page.sidebar_second }}
          </aside>
        {% endif %}
    {% if wrap_content_in_container %}
    {% endif %}
    
    {# H4C: Add custom region for fixed sidebar #}
    <aside class="h4c-filter js-h4c-filter" role="complementary">
      {{ page.sidebar_overlay }}
    </aside>
    
  </section>

</main>

{% endblock main %}

{# Just add the filter-toggle SOMEwhere #}

{% block footer %}

{% if page.footer %}
  <footer class="footer" role="contentinfo">
    {{ page.footer }}
    <div class="js-h4c-filter-toggle"><i class="fas fa-filter"></i><div>
  </footer>
{% endif %}

{% endblock footer %}